
ChiliProject - Bug # 1194: Problems migrating from chili 2.0.0 to 3.3.0

Status: Closed Priority: Normal
Author: Nice Try Category:
Created: 2012-12-29 Assignee: Holger Just
Updated: 2013-01-06 Due date:
Remote issue URL:
Affected version: 3.3.0
Description: My coworker and I encountered a couple of issues with @RemoveDoubleInitialWikiContentJournals@ and 

@GravatarHelper@ while trying to do a migration from chiliproject 2.0.0 to 3.3.0 - details in the ticket.

Associated revisions
2013-01-06 08:32 pm - Holger Just 
Make the WikiContentJournal class available during migration #1194

History
2012-12-29 12:08 am - Nice Try
h2. Problems we ran into when migrating from 2.0.0 to 3.3.0

# *Issue 1 - GravatarHelper*
#* While attempting to do the db migration rake we ran into a problem with @bundle Rails::Plugin::GravatarHelper@
#* This was solved when we found https://www.chiliproject.org/boards/1/topics/2217
#* Removing @plugins/gravatar@ solved this issue
# *Issue 2 - RemoveDoubleInitialWikiContentJournals*
#* After running @bundle exec rake --trace db:migrate RAILS_ENV=production@ a second time, we got the following error/output<pre>
# bundle exec rake --trace db:migrate RAILS_ENV=production                                                                              
** Invoke db:migrate (first_time)
** Invoke environment (first_time)
** Execute environment
** Execute db:migrate
==  RemoveDoubleInitialWikiContentJournals: migrating =========================
rake aborted!
An error has occurred, all later migrations canceled:

uninitialized constant RemoveDoubleInitialWikiContentJournals::WikiContentJournal
/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-2.3.14/lib/active_support/dependencies.rb:131:in `rescue in const_missing'
/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-2.3.14/lib/active_support/dependencies.rb:120:in `const_missing'
db/migrate//20110729125454_remove_double_initial_wiki_content_journals.rb:18:in `up'
/usr/local/lib/ruby/gems/1.9.1/gems/activerecord-2.3.14/lib/active_record/migration.rb:282:in `block in migrate'
/usr/local/lib/ruby/1.9.1/benchmark.rb:280:in `measure'
/usr/local/lib/ruby/gems/1.9.1/gems/activerecord-2.3.14/lib/active_record/migration.rb:282:in `migrate'
/usr/local/lib/ruby/gems/1.9.1/gems/activerecord-2.3.14/lib/active_record/migration.rb:365:in `migrate'
/usr/local/lib/ruby/gems/1.9.1/gems/activerecord-2.3.14/lib/active_record/migration.rb:491:in `block (2 levels) in migrate'
/usr/local/lib/ruby/gems/1.9.1/gems/activerecord-2.3.14/lib/active_record/migration.rb:567:in `call'
/usr/local/lib/ruby/gems/1.9.1/gems/activerecord-2.3.14/lib/active_record/migration.rb:567:in `ddl_transaction'
/usr/local/lib/ruby/gems/1.9.1/gems/activerecord-2.3.14/lib/active_record/migration.rb:490:in `block in migrate'
/usr/local/lib/ruby/gems/1.9.1/gems/activerecord-2.3.14/lib/active_record/migration.rb:477:in `each'
/usr/local/lib/ruby/gems/1.9.1/gems/activerecord-2.3.14/lib/active_record/migration.rb:477:in `migrate'
/usr/local/lib/ruby/gems/1.9.1/gems/activerecord-2.3.14/lib/active_record/migration.rb:401:in `up'
/usr/local/lib/ruby/gems/1.9.1/gems/activerecord-2.3.14/lib/active_record/migration.rb:383:in `migrate'
/usr/local/lib/ruby/gems/1.9.1/gems/rails-2.3.14/lib/tasks/databases.rake:112:in `block (2 levels) in <top (required)>'
/usr/local/lib/ruby/gems/1.9.1/gems/rake-10.0.3/lib/rake/task.rb:228:in `call'
/usr/local/lib/ruby/gems/1.9.1/gems/rake-10.0.3/lib/rake/task.rb:228:in `block in execute'
/usr/local/lib/ruby/gems/1.9.1/gems/rake-10.0.3/lib/rake/task.rb:223:in `each'
/usr/local/lib/ruby/gems/1.9.1/gems/rake-10.0.3/lib/rake/task.rb:223:in `execute'
/usr/local/lib/ruby/gems/1.9.1/gems/rake-10.0.3/lib/rake/task.rb:166:in `block in invoke_with_call_chain'
/usr/local/lib/ruby/1.9.1/monitor.rb:211:in `mon_synchronize'
/usr/local/lib/ruby/gems/1.9.1/gems/rake-10.0.3/lib/rake/task.rb:159:in `invoke_with_call_chain'
/usr/local/lib/ruby/gems/1.9.1/gems/rake-10.0.3/lib/rake/task.rb:152:in `invoke'
/usr/local/lib/ruby/gems/1.9.1/gems/rake-10.0.3/lib/rake/application.rb:143:in `invoke_task'
/usr/local/lib/ruby/gems/1.9.1/gems/rake-10.0.3/lib/rake/application.rb:101:in `block (2 levels) in top_level'
/usr/local/lib/ruby/gems/1.9.1/gems/rake-10.0.3/lib/rake/application.rb:101:in `each'
/usr/local/lib/ruby/gems/1.9.1/gems/rake-10.0.3/lib/rake/application.rb:101:in `block in top_level'
/usr/local/lib/ruby/gems/1.9.1/gems/rake-10.0.3/lib/rake/application.rb:110:in `run_with_threads'
/usr/local/lib/ruby/gems/1.9.1/gems/rake-10.0.3/lib/rake/application.rb:95:in `top_level'
/usr/local/lib/ruby/gems/1.9.1/gems/rake-10.0.3/lib/rake/application.rb:73:in `block in run'
/usr/local/lib/ruby/gems/1.9.1/gems/rake-10.0.3/lib/rake/application.rb:160:in `standard_exception_handling'
/usr/local/lib/ruby/gems/1.9.1/gems/rake-10.0.3/lib/rake/application.rb:70:in `run'
/usr/local/lib/ruby/gems/1.9.1/gems/rake-10.0.3/bin/rake:33:in `<top (required)>'
/usr/local/bin/rake:19:in `load'
/usr/local/bin/rake:19:in `<main>'
Tasks: TOP => db:migrate
</pre>
#* At this point we were stumped so we asked in the irc chat and received the following advice<pre>
14:58 < meineerde> nicetry: can you try to add this to the top of
                   db/migrate/20110729125454_remove_double_initial_wiki_content_journals.rb
14:58 < meineerde> require 'wiki_content'
</pre>
#* The solution put forth by meineerde worked, and we were able to successfully run the db migration rake.

2013-01-02 05:56 pm - Holger Just
- Assignee set to Holger Just

- Category deleted (Versions)

- Target version set to 3.4.0

- Affected version set to 3.3.0

2013-01-06 08:18 pm - Holger Just
- Status changed from Open to Closed

Fixed in commit:5156fbbf
